
Redmine - Feature #13715

show SCM identifier (repository) in associated revisions

2013-04-09 09:57 - Wim DePreter

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Resolution:    

Description

If there are multiple SCM per project (possible since 1.4.0, cfr #779), it would be nice to add the SCM identifier in the associated

revisions overview.

For example:

Associated Revisions

scm01 - Revision 999

Added by ...

Bugfix for #...

scm02 - Revision 555

Added by ...

Update of documention for #...

 Also in the detail of the revision, mentioning the SCM identifier would be nice.

P.S.: SCM identifier must be known by users if they want to reference the SCM-revision in wiki text

Related issues:

Related to Redmine - Feature #5386: Branch/Tags in Changeset Description New 2010-04-27

Related to Redmine - Feature #5242: Display source project for cross-project ... Closed 2010-04-04

Has duplicate Redmine - Feature #16354: Add repository name to revisions on A... Closed

History

#1 - 2013-04-09 10:03 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#2 - 2013-04-09 10:19 - chamnan khamwan

(snip)

#3 - 2013-04-09 12:34 - Wim DePreter

I've noticed also another thing, when there are commit-messages in a certain SCM (not default in project) referencing another revision, f.e. r555, the

revision in these commit-messages are interpreted by Redmine as hyperlinks, but refering to the default SCM.

Imho, the default SCM in commit-messages of an SCM should be the SCM itself (and not default SCM from Redmine)

#4 - 2013-04-10 06:52 - Dipan Mehta

+1.

I have one more aspiration on this front. When the commit is associated to revision it says "Revision 555". It would ideal if it can also point out if this

revision was on 'trunk' or specific 'branch'.

#5 - 2013-04-10 08:42 - Wim DePreter

Dipan Mehta wrote:

I have one more aspiration on this front. When the commit is associated to revision it says "Revision 555". It would ideal if it can also point out if

this revision was on 'trunk' or specific 'branch'.
https://www.redmine.org/issues/779
https://www.redmine.org/projects/redmine/repository/svn/revisions/555


 Related feature for mentioning trunk/branch: #5386

I would keep the 2 features seperated, cause the info for my request is normally available in Redmine (no interpretation of SCM data necessary)

#6 - 2013-04-15 12:07 - Wim DePreter

The SCM identifier is already mentioned in the activity overview, so same style should be used in associated revisions / detail of revision

Associated revisions

Revision 999 (scm01)

Added by ...

Bugfix for #...

Revision 555 (scm02)

Added by ...

Update of documention for #...

#7 - 2015-03-27 00:03 - Wim DePreter

This issue can be closed as duplicate of #16354

#8 - 2015-04-24 04:20 - Toshi MARUYAMA

- Target version set to Candidate for next minor release

#9 - 2015-04-24 04:20 - Toshi MARUYAMA

- Has duplicate Feature #16354: Add repository name to revisions on Associated revisions. added

#10 - 2019-04-07 15:32 - Go MAEDA

- Related to Feature #5242: Display source project for cross-project associated revisions for issues added
